<app-loading-indicator *ngIf="!topology">
</app-loading-indicator>
<div *ngIf="topology" class="flex-center row">

    <div class="details-grid">

        <b>Cpu vendor:</b>
        <div>{{topology.cpuVendor}}</div>

        <b>Cpu brand:</b>
        <div>{{topology.cpuModelName}}</div>

        <b>Packages:</b>
        <div>x{{topology.totalPackages}}</div>

        <b>Numa nodes:</b>
        <div>x{{topology.totalNumaNodes}}</div>

        <b>Cpu cores:</b>
        <div>x{{topology.totalPhysicalCores}}</div>

        <b>Cpu logical cores:</b>
        <div>x{{topology.totalLogicalCores}}</div>
    </div>


    <app-topology-view [topology]="topology"></app-topology-view>
</div>
